#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n; cin>>n;
    vector<int> a(n);
    for(int i=0;i<n;i++) cin>>a[i];
    int q; cin>>q;
    for(int i=0;i<q;i++)
    {
        int l,r;
        cin>>l>>r;
        l++; r++;
        int br=0;
        for(int j=l;j<=r;j++)
        {
            if(a[j]>a[j+1]) br++;
        }
        if(br>=2) cout<<"NE";
        else cout<<"DA";
    }
    return 0;
}